---
version: "3.9"

services:
  workstation_sh_dev_env:
    image: workstation_sh_dev_env:latest
    build:
      context: "${TLD}/"
      dockerfile: "${TLD}/dev/workstation.sh.Dockerfile"
      target: workstation_sh_dev_env_final
  workstation_sh_dev_env_entrypoint:
    image: workstation_sh_dev_env:latest
    volumes:
      - type: bind
        source: "$TLD/"
        target: "/home/${LOCAL_USER}/workstation/"
    entrypoint: "/home/${LOCAL_USER}/entrypoint.sh"
  workstation_sh_dev_env_shell:
    image: workstation_sh_dev_env:latest
    volumes:
      - type: bind
        source: "$TLD/"
        target: "/home/${LOCAL_USER}/workstation/"
    command: /bin/bash
  workstation_ps_dev_env:
    image: workstation_ps_dev_env:latest
    build:
      context: "${TLD}/src/"
      dockerfile: "${TLD}/dev/workstation.ps.Dockerfile"
      target: workstation_ps_dev_env_final:latest
    volumes:
      - type: bind
        source: "${TLD}/"
        target: "c/Users/$LOCAL_USER/workstation"
    command: pwsh

...
